﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// boardClass의 요약 설명입니다.
/// </summary>
public class boardClass
{
    private dbClass dcon = new dbClass();

    private string U_Name;
    private string U_Pass;
    private string U_Content;
    private string U_Ip;
    private string ICon;
    private int total_Count;
    private string query;
    private int seq;
    private int Count;

    private DataSet ds = new DataSet();

    public void Db_Parameters(bool X)
	{
        dcon.Comm.Parameters.Add("@b_pass", SqlDbType.VarChar, 20);
        dcon.Comm.Parameters["@b_pass"].Value = U_Pass;

        if (X)
        {
            dcon.Comm.Parameters.Add("@b_name", SqlDbType.VarChar, 20);
            dcon.Comm.Parameters.Add("@b_content", SqlDbType.VarChar, 5000);
            dcon.Comm.Parameters.Add("@b_ip", SqlDbType.VarChar, 15);
            dcon.Comm.Parameters.Add("@b_icon", SqlDbType.VarChar, 20);

            dcon.Comm.Parameters["@b_name"].Value = U_Name;
            dcon.Comm.Parameters["@b_content"].Value = U_Content;
            dcon.Comm.Parameters["@b_ip"].Value = U_Ip;
            dcon.Comm.Parameters["@b_icon"].Value = ICon;
        }
        else
        {
            dcon.Comm.Parameters.Add("@b_seq", SqlDbType.Int);
            dcon.Comm.Parameters["@b_seq"].Value = seq;
        }
	}
    public void Procedure(int num)
    {
        dcon.Open();

        if (num == 1)
        {
            query = "gb_insert";
            Db_Parameters(true);
            dcon.ExecuteNon(query);
        }
        else if (num == 2)
        {
            query = "total_count";
            total_Count = dcon.GetCheck(query);
        }
        else if (num == 3)
        {
            ds = dcon.GetDataSet(query);
        }
        else if (num == 4)
        {
            query = "gb_password";
            Db_Parameters(false);
            Count = dcon.GetCheck(query);
            if (Count != 0)
            {
                dcon.Comm.Parameters.RemoveAt(0);
                query = "gb_Delete";
                dcon.ExecuteNon(query);
            }
        }

        dcon.Close();
    }
    // ########################## property 부분  ##################################_##################
    public string u_name
    {
        get { return U_Name; }
        set { U_Name = value; }
    }
    public string u_pass
    {
        get { return U_Pass; }
        set { U_Pass = value; }
    }
    public string u_content
    {
        get { return U_Content; }
        set { U_Content = value; }
    }
    public string u_ip
    {
        get { return U_Ip; }
        set { U_Ip = value; }
    }
    public string icon
    {
        set { ICon = value; }
    }
    // --------------------------------
    public DataSet dataset
    {
        get { return ds; }
        set { ds = value; }
    }
    public int total
    {
        get { return total_Count; }
    }
    public string Query
    {
        set { query = value; }
    }
    public int b_Seq
    {
        set { seq = value; }
    }
    public int pass_count
    {
        get { return Count; }
    }
}