﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected boardClass bclass = new boardClass();

    private int currentPageIndex; //보여질 페이지
    private int totalCount = 1; //총게시물 수
    private int pageSize = 5; //한페이지 출력할 게시물 수
    private int startGroup = 1;
    private int group = 10;
    private int pageCount = 0;//총 페이지 수

    protected void Page_Load(object sender, EventArgs e)
    {
        currentPageIndex = int.Parse(hiddenPage.Value);
        Page_Number();
    }
    protected void WriteOK_Click(object sender, EventArgs e)
    {
        bclass.u_name = txtuserName.Text;
        bclass.u_pass = txtpassword.Text;
        bclass.u_content = txtContent.Text;
        bclass.u_ip = Request.UserHostAddress;
        bclass.icon = this.IMG_ICON.Value;

        bclass.Procedure(1);
        Text_Clear();

        ListBind();
    }
    protected void content_Deldete(object sender, EventArgs e)
    {
        delete_table.Style.Add("display", "none");
        bclass.u_pass = this.User_PassWord.Text;
        bclass.b_Seq = int.Parse(this.b_seq.Value);
        bclass.Procedure(4);
        if (bclass.pass_count != 1)
            ScriptManager.RegisterStartupScript(this, this.GetType(), "testeste", "alert('비밀번호가 틀렸습니다!!')", true);
        else
            ScriptManager.RegisterStartupScript(this, this.GetType(), "Text", "alert('정상적으로 삭제되었습니다!!')", true);
        ListBind();
    }
    protected void pageBind_Click(object sender, EventArgs e)
    {
        this.ListBind();
    }
    protected void DataList_databound(object sender, DataListItemEventArgs e)
    {
        HtmlGenericControl span = (HtmlGenericControl)e.Item.FindControl("span_content");
        HtmlGenericControl img_list = (HtmlGenericControl)e.Item.FindControl("list_icon");
        if (e.Item.ItemType == ListItemType.AlternatingItem || e.Item.ItemType == ListItemType.Item)
        {
            string content = ((DataRowView)e.Item.DataItem)["b_content"].ToString();
            //태그 X
            content = Server.HtmlDecode(content);
            //엔터값 처리
            content = content.Replace("\r\n", "<br />");
            Label lbl = new Label();
            lbl.Text = content;
            span.Controls.Add(lbl);

            string icon = ((DataRowView)e.Item.DataItem)["b_icon"].ToString();
            Image img = new Image();
            img.ImageUrl = String.Format("~/images/list_img/{0}",icon);
            img_list.Controls.Add(img);
        }
    }
    protected void Text_Clear()
    {
        txtContent.Text = "";
        txtuserName.Text = "";
        IMG_ICON.Value = "";
    }
    protected void Page_Number()
    {
        bclass.Procedure(2);
        totalCount = bclass.total;

        Page_List();

        //바인딩 부분
        ListBind();
    }
    protected void ListBind()
    {
        int sum = (currentPageIndex - 1) * pageSize;
        string query = String.Format("SELECT TOP {0} b_seq,b_name,b_content,b_ip,b_time,b_icon FROM guest_board WHERE b_seq NOT IN (SELECT TOP {1} b_seq FROM guest_board ORDER BY b_seq DESC)ORDER BY b_seq DESC", pageSize.ToString(), sum);
        bclass.Query = query;
        bclass.Procedure(3);
        this.DataList1.DataSource = bclass.dataset;
        this.DataList1.DataBind();
    }
    public void Page_List()
    {
        string page = null;

        pageCount = (int)Math.Ceiling((double)totalCount / pageSize);
        startGroup = ((currentPageIndex - 1) / group) * group + 1;

        //처음으로
        if (startGroup != 1)
        {
            page = String.Format("<a href='javascript:DoPage({0})'>{1}</a>",
                1,
                "처음");
        }

        //이전 버튼
        if (startGroup != 1)
        {
            page += String.Format("<a href='javascript:DoPage({0})'>{1}</a>",
                startGroup - group,
                "이전");
        }
        //페이지 있는곳까지 돌아라
        int loop = 1;
        while (loop <= group && startGroup <= pageCount)
        {
            if (startGroup == currentPageIndex)
            {
                page += String.Format("<span>{0}</span>", startGroup);
            }
            else
            {
                page += String.Format("<a href='javascript:DoPage({0})'>{1}</a>",
                    startGroup,
                    startGroup);
            }

            loop++;
            startGroup++;
        }

        //현재 페이지의 뒷 페이지로
        if (startGroup <= pageCount)
        {
            page += String.Format("<a href='javascript:DoPage({0})'>{1}</a>",
                startGroup,
                "다음");
        }

        // 마지막 페이지로
        if (startGroup < (pageCount + 1))
        {
            page += String.Format("<a href='javascript:DoPage({0})'>{1}</a>",
                pageCount, "마지막");
        }
        Label lblPage = new Label();
        lblPage.Text = page;
        pnlPageNumber.Controls.Add(lblPage);
    }
}