﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// dbClass의 요약 설명입니다.
/// </summary>
public class dbClass
{
    private SqlConnection Conn;
    public SqlCommand Comm = new SqlCommand();
    public SqlDataAdapter adapter = new SqlDataAdapter();

    public void Open()
    {
        Conn = new SqlConnection(ConfigurationSettings.AppSettings["constr"]);
        Conn.Open();
    }
    public void Close()
    {
        Comm.Parameters.Clear();
        Conn.Close();
    }
    public void ExecuteNon(string procedure)
    {
        Comm.Connection = Conn;
        Comm.CommandText = procedure;
        Comm.CommandType = CommandType.StoredProcedure;
        Comm.ExecuteNonQuery();
    }
    public int GetCheck(string procedure)
    {
        Comm.Connection = Conn;
        Comm.CommandText = procedure;
        Comm.CommandType = CommandType.StoredProcedure;
        return (int)Comm.ExecuteScalar();
    }
    public DataSet GetDataSet(string procedure)
    {
        adapter.SelectCommand = new SqlCommand(procedure, Conn);
        DataSet ds = new DataSet();
        adapter.Fill(ds);
        return ds;
    }
}
